@import url('https://fonts.googleapis.com/css2?family=Architects+Daughter&family=Butterfly+Kids&family=Righteous&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
    min-height: 100vh;
    text-align: center;
    font-size: 30px;
    background-color: #f7cc99;
    font-family: 'Architects Daughter', sans-serif;

}

/* Welcome page */
h1 {
    padding-top: 30px;
    font-family: "Righteous", sans-serif;
    font-size: 40px;

}

h2 {
    font-size: 30px;
}

.welcome-container {
    height: 1200px;
    margin-top: 70px;
}

#fist-page {
    margin-top: 60px;
}

/* welcome message is showed when clicked "noBtn" button */
#welcome-message {
    margin: 60px 10px 20px 10px;
}

#welcome-message p {
    line-height: 60px;
    font-size: 30px;
}

/* back button was created in js file, also showed width welcome-message*/
.back-btn {
    margin-top: 20px;
    border: none;
    font-family: 'Architects Daughter', sans-serif;
    background-color: #EE9933;
    padding: 15px 32px;
    font-size: 20px;
    border-radius: 4px;
    box-shadow: 5px 5px 5px #3D3D3D;
}

#yesBtn {
    margin-top: 50px;
    margin-right: 15px;
    border: none;
    font-family: 'Architects Daughter', sans-serif;
    background-color: #EE9933;
    padding: 15px 32px;
    font-size: 20px;
    border-radius: 4px;
    box-shadow: 5px 5px 5px #3D3D3D;

}

#noBtn {
    margin-top: 50px;
    margin-left: 15px;
    border: none;
    font-family: 'Architects Daughter', sans-serif;
    background-color: #EE9933;
    padding: 15px 32px;
    font-size: 20px;
    border-radius: 4px;
    box-shadow: 5px 5px 5px #3D3D3D;

}

/* elements displayed after clicked yesBtn button */
input {
    display: none;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;

    height: 40px;
    background-color: #ffffff;
    border: none;
    border-radius: 4px;

}

input::placeholder {
    font-weight: bold;
    font-size: 15px;
    color: white;
    color: #EE9933;
    padding-left: 10px;
}

#start-button {
    display: none;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
    border: none;
    font-family: 'Architects Daughter', sans-serif;
    background-color: #EE9933;
    padding: 15px 32px;
    font-size: 20px;
    border-radius: 4px;
    box-shadow: 5px 5px 5px #3D3D3D;

}

/* Player section */

#player-section {
    display: none;
}

#player2 {
    float: left;
    margin-left: 600px;
    margin-top: 15px;
    width: 200px;
    height: 200px;
    background-color: #ffffff;
    border-radius: 4px;
    opacity: 0.9;

}

#player1 {
    float: right;
    margin-top: 15px;
    margin-right: 600px;
    width: 200px;
    height: 200px;
    background-color: #ffffff;
    border-radius: 4px;
    opacity: 0.9;

}

#player1 i {
    color: #ffb4b4;
}

#player2 i {
    color: #1CE8C3;
}

.displayName-container {
    font-size: 25px;
}

.symbol-container {
    font-size: 50px;
    margin-top: 5px;
}

.scoreArea-container {
    font-size: 25px;
    margin-top: -15px;
}

/* Gameboard */
#game-section {
    display: none;
    align-items: center;
    justify-content: center;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 50px;

}

#game-board {
    display: grid;
    grid-template-columns: auto auto auto;
}

.box {
    display: flex;
    height: 100px;
    width: 100px;
    border: #3D3D3D 1px solid;
    font-size: 50px;
    font-family: 'Architects Daughter', sans-serif;
    text-align: center;
    justify-content: center;
    line-height: 95px;
    cursor: pointer;

}

.box:first-child,
.box:nth-child(2),
.box:nth-child(3) {
    border-top: none;

}

.box:nth-child(3n + 1) {
    border-left: none;
}

.box:nth-child(3n + 3) {
    border-right: none;
}

.box:last-child,
.box:nth-child(8),
.box:nth-child(7) {
    border-bottom: none;

}

/* restart button */
.button-section {
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    
}

#restartbtn {
    width: 200px;
    display: none;
    margin-left: auto;
    margin-right: auto;
    font-family: 'Architects Daughter', sans-serif;

    border: none;
    background-color: #ffffff;
    color: #EE9933;
    padding: 15px 32px;
    font-size: 20px;
    border-radius: 4px;
    box-shadow: 5px 5px 5px #3D3D3D;

}

/* for screen sizes from 2100px wide and down */
@media screen and (max-width: 2100px) {

    #player2 {
        margin-left: 200px;

    }

    #player1 {
        margin-right: 200px;

    }

}

/* for screen sizes from 1300px wide and down */
@media screen and (max-width: 1300px) {

    #player2 {
        margin-left: 100px;
        margin-top: 40px;

    }

    #player1 {
        margin-right: 100px;
        margin-top: 40px;

    }

}

/* for screen sizes from 900px wide and down */
@media screen and (max-width: 900px) {

    #player2 {
        margin-left: 80px;
        margin-top: 60px;
        width: 180px;
        height: 180px;

    }

    #player1 {
        margin-right: 80px;
        margin-top: 60px;
        width: 180px;
        height: 180px;
    }

}

/* for screen sizes from 800px wide and down */
@media screen and (max-width: 800px) {

    #player2 {
        margin-left: 40px;

    }

    #player1 {
        margin-right: 40px;
      
    }

    .button-section {
        margin-top: 300px;
        
    }

    p {
        font-size: 20px;
    }

}

/* for screen sizes from 550px wide and down */
@media screen and (max-width: 550px) {
    #player2 {
        margin-left: 5px;

    }

    #player1 {
        margin-right: 5px;
      
    }

    #welcome-message {
        margin: 30px 10px 20px 10px;
    }
    
    #welcome-message p {
        line-height: 40px;
        font-size: 20px;
    }

    .welcome-container {
        margin-top: 30px;
    }
    
}

/* for screen sizes from 380px wide and down */
@media screen and (max-width: 380px) {
    #player2 {
        margin-left: 0px;
        width: 150px;

    }

    #player1 {
        margin-right: 0px;
        width: 150px;
      
    }
}

